package com.izouma.awesomeadmin.dao;

import com.izouma.awesomeadmin.model.ProductInfo;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ProductInfoMapper")
public interface ProductInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ProductInfo record);

    ProductInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ProductInfo record);

    List<ProductInfo> queryAllProductInfo(ProductInfo record);

    List<ProductInfo> queryProductInfoByPage(Map<String, Object> parameter);

    int delete(String id);

    ProductInfo queryProductInfo(ProductInfo record);

    List<ProductInfo> query(ProductInfo record);
}

